Dedicated Host Groups - Create Or Update

Create or update a dedicated host group. For details of Dedicated Host and Dedicated Host Groups please see [Dedicated Host Documentation] (https://go.microsoft.com/fwlink/?linkid=2082596)

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/hostGroups/{hostGroupName}?api-version=2025-11-01

URI Parameters

Name In Required Type Description
hostGroupName
path True

string

The name of the dedicated host group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

properties.platformFaultDomainCount True

integer (int32)

minimum: 1

Number of fault domains that the host group can span.

properties.additionalCapabilities

DedicatedHostGroupPropertiesAdditionalCapabilities

Enables or disables a capability on the dedicated host group. Minimum api-version: 2022-03-01.

properties.supportAutomaticPlacement

boolean

Specifies whether virtual machines or virtual machine scale sets can be placed automatically on the dedicated host group. Automatic placement means resources are allocated on dedicated hosts, that are chosen by Azure, under the dedicated host group. The value is defaulted to 'false' when not provided. Minimum api-version: 2020-06-01.

tags

object

Resource tags.

zones

string[]

The availability zones.

Responses

Name Type Description
200 OK

DedicatedHostGroup

Resource 'DedicatedHostGroup' update operation succeeded

201 Created

DedicatedHostGroup

Resource 'DedicatedHostGroup' create operation succeeded

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create or update a dedicated host group with Ultra SSD support.
Create or update a dedicated host group.

Create or update a dedicated host group with Ultra SSD support.

Sample request

PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/hostGroups/myDedicatedHostGroup?api-version=2025-11-01

{
  "location": "westus",
  "tags": {
    "department": "finance"
  },
  "zones": [
    "1"
  ],
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true,
    "additionalCapabilities": {
      "ultraSSDEnabled": true
    }
  }
}

Sample response

{
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true,
    "additionalCapabilities": {
      "ultraSSDEnabled": true
    }
  },
  "location": "westus",
  "tags": {
    "department": "finance",
    "owner": "myCompany"
  },
  "name": "myDedicatedHostGroup",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/HostGroups/myDedicatedHostGroup",
  "zones": [
    "1"
  ]
}
{
  "name": "myDedicatedHostGroup",
  "location": "westus",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/HostGroups/myDedicatedHostGroup",
  "tags": {
    "department": "finance"
  },
  "zones": [
    "1"
  ],
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true,
    "additionalCapabilities": {
      "ultraSSDEnabled": true
    }
  }
}

Create or update a dedicated host group.

Sample request

PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/hostGroups/myDedicatedHostGroup?api-version=2025-11-01

{
  "location": "westus",
  "tags": {
    "department": "finance"
  },
  "zones": [
    "1"
  ],
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true
  }
}

Sample response

{
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true
  },
  "location": "westus",
  "tags": {
    "department": "finance",
    "owner": "myCompany"
  },
  "name": "myDedicatedHostGroup",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/HostGroups/myDedicatedHostGroup",
  "zones": [
    "1"
  ]
}
{
  "name": "myDedicatedHostGroup",
  "location": "westus",
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/HostGroups/myDedicatedHostGroup",
  "tags": {
    "department": "finance"
  },
  "zones": [
    "1"
  ],
  "properties": {
    "platformFaultDomainCount": 3,
    "supportAutomaticPlacement": true
  }
}

Definitions

Name Description
ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

createdByType

The type of identity that created the resource.

DedicatedHostAllocatableVM

Represents the dedicated host unutilized capacity in terms of a specific VM size.

DedicatedHostAvailableCapacity

Dedicated host unutilized capacity.

DedicatedHostGroup

Specifies information about the dedicated host group that the dedicated hosts should be assigned to. Currently, a dedicated host can only be added to a dedicated host group at creation time. An existing dedicated host cannot be added to another dedicated host group.

DedicatedHostGroupInstanceView
DedicatedHostGroupPropertiesAdditionalCapabilities

Enables or disables a capability on the dedicated host group. Minimum api-version: 2022-03-01.

DedicatedHostInstanceViewWithName

The instance view of a dedicated host that includes the name of the dedicated host. It is used for the response to the instance view of a dedicated host group.

InnerError

Inner error details.

InstanceViewStatus

Instance view status.

StatusLevelTypes

The level code.

SubResourceReadOnly
systemData

Metadata pertaining to creation and last modification of the resource.

ApiError

Api error.

Name Type Description
code

string

The error code.

details

ApiErrorBase[]

The Api error details

innererror

InnerError

The Api inner error

message

string

The error message.

target

string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code

string

The error code.

message

string

The error message.

target

string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

ApiError

Api error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DedicatedHostAllocatableVM

Represents the dedicated host unutilized capacity in terms of a specific VM size.

Name Type Description
count

number (double)

Maximum number of VMs of size vmSize that can fit in the dedicated host's remaining capacity.

vmSize

string

VM size in terms of which the unutilized capacity is represented.

DedicatedHostAvailableCapacity

Dedicated host unutilized capacity.

Name Type Description
allocatableVMs

DedicatedHostAllocatableVM[]

The unutilized capacity of the dedicated host represented in terms of each VM size that is allowed to be deployed to the dedicated host.

DedicatedHostGroup

Specifies information about the dedicated host group that the dedicated hosts should be assigned to. Currently, a dedicated host can only be added to a dedicated host group at creation time. An existing dedicated host cannot be added to another dedicated host group.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.additionalCapabilities

DedicatedHostGroupPropertiesAdditionalCapabilities

Enables or disables a capability on the dedicated host group. Minimum api-version: 2022-03-01.

properties.hosts

SubResourceReadOnly[]

A list of references to all dedicated hosts in the dedicated host group.

properties.instanceView

DedicatedHostGroupInstanceView

The dedicated host group instance view, which has the list of instance view of the dedicated hosts under the dedicated host group.

properties.platformFaultDomainCount

integer (int32)

minimum: 1

Number of fault domains that the host group can span.

properties.supportAutomaticPlacement

boolean

Specifies whether virtual machines or virtual machine scale sets can be placed automatically on the dedicated host group. Automatic placement means resources are allocated on dedicated hosts, that are chosen by Azure, under the dedicated host group. The value is defaulted to 'false' when not provided. Minimum api-version: 2020-06-01.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

zones

string[]

The availability zones.

DedicatedHostGroupInstanceView

Name Type Description
hosts

DedicatedHostInstanceViewWithName[]

List of instance view of the dedicated hosts under the dedicated host group.

DedicatedHostGroupPropertiesAdditionalCapabilities

Enables or disables a capability on the dedicated host group. Minimum api-version: 2022-03-01.

Name Type Description
ultraSSDEnabled

boolean

The flag that enables or disables a capability to have UltraSSD Enabled Virtual Machines on Dedicated Hosts of the Dedicated Host Group. For the Virtual Machines to be UltraSSD Enabled, UltraSSDEnabled flag for the resource needs to be set true as well. The value is defaulted to 'false' when not provided. Please refer to https://docs.microsoft.com/en-us/azure/virtual-machines/disks-enable-ultra-ssd for more details on Ultra SSD feature. Note: The ultraSSDEnabled setting can only be enabled for Host Groups that are created as zonal. Minimum api-version: 2022-03-01.

DedicatedHostInstanceViewWithName

The instance view of a dedicated host that includes the name of the dedicated host. It is used for the response to the instance view of a dedicated host group.

Name Type Description
assetId

string

Specifies the unique id of the dedicated physical machine on which the dedicated host resides.

availableCapacity

DedicatedHostAvailableCapacity

Unutilized capacity of the dedicated host.

name

string

The name of the dedicated host.

statuses

InstanceViewStatus[]

The resource status information.

InnerError

Inner error details.

Name Type Description
errordetail

string

The internal error message or exception dump.

exceptiontype

string

The exception type.

InstanceViewStatus

Instance view status.

Name Type Description
code

string

The status code.

displayStatus

string

The short localizable label for the status.

level

StatusLevelTypes

The level code.

message

string

The detailed status message, including for alerts and error messages.

time

string (date-time)

The time of the status.

StatusLevelTypes

The level code.

Value Description
Info
Warning
Error

SubResourceReadOnly

Name Type Description
id

string

Resource Id

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.